package com.example.tcc.document.models;

import com.fasterxml.jackson.annotation.JsonInclude;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.time.LocalDate;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Document(collection = "person")
public class Person {

	@Id
	private String id;
	private String name;
	private String biography;
	private String photo;
	private LocalDate birthDate;
	private List<PersonWork> workedOn;

	public Person(){}

	public Person(String id, String name, String photo) {
		this.id = id;
		this.name = name;
		this.photo = photo;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getBiography() {
		return biography;
	}

	public void setBiography(String biography) {
		this.biography = biography;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public LocalDate getBirthDate() {
		return birthDate;
	}

	public void setBirthDate(LocalDate birthDate) {
		this.birthDate = birthDate;
	}

	public List<PersonWork> getWorkedOn() {
		return workedOn;
	}

	public void setWorkedOn(List<PersonWork> workedOn) {
		this.workedOn = workedOn;
	}
}
