package com.example.tcc.document.models;

import com.fasterxml.jackson.annotation.JsonInclude;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.time.LocalDate;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Document(collection = "user")
public class User {

	@Id
	private String id;
	private String name;
	private String username;
	private String password;
	private String email;
	private String description;
	private String photo;
	private String coverOption;
	private String profileCover;
	private LocalDate birthDate;
	private List<WorkUser> workList;
	private List<Statistics> statisticsList;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public String getCoverOption() {
		return coverOption;
	}

	public void setCoverOption(String coverOption) {
		this.coverOption = coverOption;
	}

	public String getProfileCover() {
		return profileCover;
	}

	public void setProfileCover(String profileCover) {
		this.profileCover = profileCover;
	}

	public LocalDate getBirthDate() {
		return birthDate;
	}

	public void setBirthDate(LocalDate birthDate) {
		this.birthDate = birthDate;
	}

	public List<WorkUser> getWorkList() {
		return workList;
	}

	public void setWorkList(List<WorkUser> workList) {
		this.workList = workList;
	}

	public List<Statistics> getStatisticsList() {
		return statisticsList;
	}

	public void setStatisticsList(List<Statistics> statisticsList) {
		this.statisticsList = statisticsList;
	}
}
