package com.example.tcc.document.models;

import com.fasterxml.jackson.annotation.JsonInclude;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Document(collection = "work")
public class Work {

	@Id
	private String id;
	private String name;
	private String synopsis;
	private String cover;
	private String type;
	private Integer releaseYear;
	private Integer userCount;
	private Double averageScore;

	private List<String> tags;
	private List<PersonWork> people;

	private Integer episodeNumber;
	private String developer;
	private String publisher;
	private Integer minuteDuration;
	private Integer pageNumber;
	private String productionCompany;

	public Work() {
	}

	public Work(String id, String name, String cover, String type) {
		this.id = id;
		this.name = name;
		this.cover = cover;
		this.type = type;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSynopsis() {
		return synopsis;
	}

	public void setSynopsis(String synopsis) {
		this.synopsis = synopsis;
	}

	public String getCover() {
		return cover;
	}

	public void setCover(String cover) {
		this.cover = cover;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Integer getReleaseYear() {
		return releaseYear;
	}

	public void setReleaseYear(Integer releaseYear) {
		this.releaseYear = releaseYear;
	}

	public Integer getUserCount() {
		return userCount;
	}

	public void setUserCount(Integer userCount) {
		this.userCount = userCount;
	}

	public Double getAverageScore() {
		return averageScore;
	}

	public void setAverageScore(Double averageScore) {
		this.averageScore = averageScore;
	}

	public List<String> getTags() {
		return tags;
	}

	public void setTags(List<String> tags) {
		this.tags = tags;
	}

	public List<PersonWork> getPeople() {
		return people;
	}

	public void setPeople(List<PersonWork> people) {
		this.people = people;
	}

	public Integer getEpisodeNumber() {
		return episodeNumber;
	}

	public void setEpisodeNumber(Integer episodeNumber) {
		this.episodeNumber = episodeNumber;
	}

	public String getDeveloper() {
		return developer;
	}

	public void setDeveloper(String developer) {
		this.developer = developer;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public Integer getMinuteDuration() {
		return minuteDuration;
	}

	public void setMinuteDuration(Integer minuteDuration) {
		this.minuteDuration = minuteDuration;
	}

	public Integer getPageNumber() {
		return pageNumber;
	}

	public void setPageNumber(Integer pageNumber) {
		this.pageNumber = pageNumber;
	}

	public String getProductionCompany() {
		return productionCompany;
	}

	public void setProductionCompany(String productionCompany) {
		this.productionCompany = productionCompany;
	}

	@Override
	public String toString() {
		return "Work{" +
				"id='" + id + '\'' +
				", name='" + name + '\'' +
				", synopsis='" + synopsis + '\'' +
				", cover='" + cover + '\'' +
				", type='" + type + '\'' +
				", releaseYear=" + releaseYear +
				", userCount=" + userCount +
				", averageScore=" + averageScore +
				", tags=" + tags +
				", people=" + people +
				", episodeNumber=" + episodeNumber +
				", developer='" + developer + '\'' +
				", publisher='" + publisher + '\'' +
				", minuteDuration=" + minuteDuration +
				", pageNumber=" + pageNumber +
				", productionCompany='" + productionCompany + '\'' +
				'}';
	}
}
