package com.example.tcc.service;

import com.example.tcc.document.models.Admin;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.security.crypto.password.PasswordEncoder;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.Objects;

@Service
public class AdminService extends AbstractService {

	@Autowired
	private PasswordEncoder passwordEncoder;

	public Admin findByUsername(String username) {
		Query query = new Query();
		query.addCriteria(Criteria.where("username").is(username));
		return db.findOne(query, Admin.class);
	}

	public void saveAdmin(Admin admin) throws IOException {
		if(Objects.isNull(admin.getUsername()) ||
				Objects.isNull(admin.getPassword())) {
			log.error("Erro ao salvar admin: Argumentos faltando");
			throw new IOException("Erro ao salvar admin: Argumentos faltando");
		}
		log.info("Salvando novo admin " + admin.getUsername());
		admin.setPassword(passwordEncoder.encode(admin.getPassword()));
		db.insert(admin);
	}
}
