package com.example.tcc.service.utils;

import java.util.Arrays;
import java.util.List;

public final class Constants {

	// Roles
	public static final String ROLE_USER = "user";
	public static final String ROLE_ADMIN = "admin";

	// Error constants
	public static final String ERROR_MESSAGE = "error_message";
	public static final String MISSING_ARGUMENTS = "missing_arguments";

	// Recommendation constants
	public static final Integer HOME_WORKS_MAX = 10;
	public static final Integer RECOMMEND_MAX_TAG_SCORE = 30;
	public static final Integer MINIMUM_SCORE = 1;
	public static final Integer MAXIMUM_SCORE = 5;

	// Work types
	public static final String TYPE_MOVIE = "movie";
	public static final String TYPE_SERIES = "series";
	public static final String TYPE_GAME = "game";
	public static final String TYPE_BOOK = "book";
	public static final String TYPE_ANY = "any";
	public static final List<String> TYPES_LIST = Arrays.asList(TYPE_SERIES,
			TYPE_BOOK,
			TYPE_MOVIE,
			TYPE_GAME,
			TYPE_ANY);

	// Statuses
	public static final String STATUS_ONGOING = "ongoing";
	public static final String STATUS_PLANNING = "planning";
	public static final String STATUS_COMPLETED = "completed";
	public static final String STATUS_ON_HOLD = "onhold";
	public static final String STATUS_DROPPED = "dropped";
	public static final List<String> STATUSES_LIST = Arrays.asList(STATUS_PLANNING,
			STATUS_DROPPED,
			STATUS_ONGOING,
			STATUS_ON_HOLD,
			STATUS_COMPLETED);

	// User fields
	public static final String FIELD_ID = "_id";
	public static final String FIELD_USERNAME = "username";
	public static final String FIELD_PASSWORD = "password";
	public static final String FIELD_NAME = "name";
	public static final String FIELD_EMAIL = "email";
	public static final String FIELD_DESCRIPTION = "description";
	public static final String FIELD_BIRTH_DATE = "birthDate";
	public static final String FIELD_WORK_LIST = "workList";
	public static final String FIELD_COVER_OPTION = "coverOption";
	public static final String FIELD_PROFILE_COVER = "profileCover";
	public static final String FIELD_PHOTO = "photo";

	// Work fields
	public static final String FIELD_TYPE = "type";
	public static final String FIELD_RELEASE_YEAR = "releaseYear";
	public static final String FIELD_AVERAGE_SCORE = "averageScore";
	public static final String FIELD_TAGS = "tags";
	public static final String FIELD_COVER = "cover";
	public static final String FIELD_USER_COUNT = "userCount";
	public static final String FIELD_EPISODE_NUMBER = "episodeNumber";
	public static final String FIELD_MINUTE_DURATION = "minuteDuration";
	public static final String FIELD_PRODUCTION_COMPANY = "productionCompany";
	public static final String FIELD_DEVELOPER = "developer";
	public static final String FIELD_PUBLISHER = "publisher";
	public static final String FIELD_PAGE_NUMBER = "pageNumber";
	public static final String FIELD_PEOPLE = "people";

	// Cover options
	public static final String COVER_OPTION_CYCLE_FAVORITES = "cycle_favorites";
	public static final String COVER_OPTION_CHOOSE = "choose";
}
