package com.example.tcc.service.utils;

import com.auth0.jwt.JWT;
import com.auth0.jwt.JWTVerifier;
import com.auth0.jwt.algorithms.Algorithm;
import com.auth0.jwt.interfaces.DecodedJWT;
import org.springframework.beans.BeanWrapper;
import org.springframework.beans.BeanWrapperImpl;

import javax.servlet.http.HttpServletRequest;
import java.lang.reflect.Field;
import java.util.Collection;
import java.util.Objects;

import static org.springframework.http.HttpHeaders.AUTHORIZATION;

public class Tools {
	public static DecodedJWT decryptToken(HttpServletRequest request) {
		String authorizationHeader = request.getHeader(AUTHORIZATION);
		if(Objects.nonNull(authorizationHeader) && authorizationHeader.startsWith("Bearer ")) {
			String token = authorizationHeader.substring("Bearer ".length());
			Algorithm algorithm = Algorithm.HMAC256("secret".getBytes()); // TODO: encrypt secret or something
			JWTVerifier verifier = JWT.require(algorithm).build();
			return verifier.verify(token);
		} else {
			throw new RuntimeException("Error on authorization token");
		}
	}

	public static void copyNonNullProperties(Object target, Object in) {
		if(in == null || target == null || target.getClass() != in.getClass()) return;

		final BeanWrapper src = new BeanWrapperImpl(in);
		final BeanWrapper trg = new BeanWrapperImpl(target);

		for(final Field property : target.getClass().getDeclaredFields()) {
			Object providedObject = src.getPropertyValue(property.getName());
			if(providedObject != null && !(providedObject instanceof Collection<?>)) {
				trg.setPropertyValue(
						property.getName(),
						providedObject);
			}
		}
	}
}
