// ignore_for_file: public_member_api_docs, sort_constructors_first
import 'package:tcc_app/data/dtos/profile_dto.dart';

class SessionState {
  final String? accessToken;
  final String? username;

  SessionState({this.accessToken, this.username});

  SessionState copyWith({
    String? accessToken,
    String? username,
  }) {
    return SessionState(
      accessToken: accessToken ?? this.accessToken,
      username: username ?? this.username,
    );
  }
}

class SessionReadyState extends SessionState {
  final ProfileDto userProfile;

  SessionReadyState({
    required this.userProfile,
    String? accessToken,
    String? username,
  }) : super(
          accessToken: accessToken,
          username: username,
        );

  @override
  SessionReadyState copyWith({
    ProfileDto? userProfile,
    String? accessToken,
    String? username,
  }) {
    return SessionReadyState(
      userProfile: userProfile ?? this.userProfile,
      accessToken: accessToken ?? this.accessToken,
      username: username ?? this.username,
    );
  }
}

class SessionLoadingState extends SessionState {}

class LoggingUserInState extends SessionState {}

class SessionErrorState extends SessionState {
  final String? errorMessage;

  SessionErrorState({required this.errorMessage});
}

class NoSessionState extends SessionState {}
