import 'package:flutter/widgets.dart';

class ReadPersonDto {
  final String name;
  final String id;
  final String photo;
  final String? biography;
  final String? birthDate;
  final List<PersonWorkedOn>? workedOn;

  ReadPersonDto({
    required this.name,
    required this.id,
    required this.photo,
    required this.workedOn,
    this.biography,
    this.birthDate,
  });

  ReadPersonDto.fromResponseContent(Map content)
      : name = content['name'],
        id = content['id'],
        photo = content['photo'],
        biography = content['biography'],
        birthDate = content['birthDate'],
        workedOn = content['workedOn'].map((item) => PersonWorkedOn.fromResponseContent(item)).cast<PersonWorkedOn>().toList();
}

class PersonWorkedOn {
  final PersonResponseWorkDetails work;
  final bool isMain;
  final String role;

  PersonWorkedOn({
    required this.work,
    required this.isMain,
    required this.role,
  });

  PersonWorkedOn.fromResponseContent(Map content)
      : work = PersonResponseWorkDetails.fromResponseContent(content['work']),
        isMain = content['isMain'],
        role = content['role'];
}

class PersonResponseWorkDetails {
  final String name;
  final String id;
  final String type;
  final String cover;

  PersonResponseWorkDetails({
    required this.name,
    required this.id,
    required this.type,
    required this.cover,
  });

  PersonResponseWorkDetails.fromResponseContent(Map content)
      : name = content['name'],
        id = content['id'],
        type = content['type'],
        cover = content['cover'];
}
