class StatisticsDto {
  final String type;
  String? planning;
  final int planningNum;
  String? ongoing;
  final int ongoingNum;
  String? onhold;
  final int onholdNum;
  String? completed;
  final int completedNum;
  String? dropped;
  final int droppedNum;
  String? general;
  final int generalNum;
  final double averageScore;

  StatisticsDto({
    required this.type,
    this.planning,
    required this.planningNum,
    this.ongoing,
    required this.ongoingNum,
    this.onhold,
    required this.onholdNum,
    this.completed,
    required this.completedNum,
    this.dropped,
    required this.droppedNum,
    this.general,
    required this.generalNum,
    required this.averageScore,
  });

  StatisticsDto.fromResponseContent(Map content)
      : type = content['type'],
        planningNum = content['worksByStatus']['planning'],
        onholdNum = content['worksByStatus']['onhold'],
        ongoingNum = content['worksByStatus']['ongoing'],
        completedNum = content['worksByStatus']['completed'],
        droppedNum = content['worksByStatus']['dropped'],
        generalNum = content['totalProgress'],
        averageScore = content['averageScore'],
        general = 'Geral',
        planning = 'Planejado',
        completed = 'Completo',
        onhold = 'Em espera',
        ongoing = 'Em progresso',
        dropped = 'Abandonado';
}
