class WorkInPersonalListDto {
  final WorkItemInPersonalListDto work;
  final String status;
  int score;
  int? progress;

  WorkInPersonalListDto(
      {required this.work, required this.status, required this.score, this.progress});

  WorkInPersonalListDto.fromResponseContent(Map content)
      : work = WorkItemInPersonalListDto(
            id: content['work']['id'],
            name: content['work']['name'],
            cover: content['work']['cover'],
            type: content['work']['type'],
            releaseYear: content['work']['releaseYear'],
            tags: content['work']['tags'].cast<String>()),
        status = content['status'],
        score = content['score'] ?? 0,
        progress = content['progress'];
}

class WorkItemInPersonalListDto {
  final String id;
  final String name;
  final String cover;
  final String type;
  final int releaseYear;
  final List<String> tags;

  WorkItemInPersonalListDto(
      {required this.id,
      required this.name,
      required this.cover,
      required this.type,
      required this.releaseYear,
      required this.tags});
}
