import 'package:tcc_app/data/dtos/read_work_details_dto.dart';
import 'package:tcc_app/data/dtos/work_user_status_dto.dart';

class WorkStatusWithDetailsDto {
  final String id;
  final String name;
  final String status;
  final int score;
  final int? limit;
  final int? progress;

  WorkStatusWithDetailsDto(
      {required this.id,
      required this.name,
      required this.status,
      required this.score,
      this.limit,
      this.progress});

  WorkStatusWithDetailsDto.fromStatusAndDetails(
      WorkUserStatusDto userStatus, ReadWorkDetailsDto details)
      : id = details.id,
        name = details.name,
        status = userStatus.status,
        score = userStatus.score ?? 0,
        limit = details.pageNumber != null
            ? details.pageNumber
            : (details.episodeNumber != null ? details.episodeNumber : null),
        progress = userStatus.progress;
}
