import 'package:dio/dio.dart';
import 'package:tcc_app/exceptions/app_exception.dart';
import 'dart:convert';

class AppRepository {
  errorHandler(DioError error, StackTrace? stackTrace) {
    if (error.response != null) {
      if (error.response?.data != null &&
          error.response?.data.runtimeType == String) {
        Map data =
            error.response?.data != null && error.response?.data.isNotEmpty
                ? json.decode(error.response?.data)
                : {};
        throw AppException.fromMap(data);
      }
      throw AppException.fromMap(error.response?.data);
    } else if (error.type == DioErrorType.cancel) {
      throw AppException.canceled();
    } else {
      throw AppException.undefined();
    }
  }
}
