// ignore_for_file: constant_identifier_names

import 'package:flutter_secure_storage/flutter_secure_storage.dart';

const String BEARER_TOKEN_KEY = 'bearerToken';
const String REFRESH_TOKEN_KEY = 'refreshToken';
const String CURRENT_USER_KEY = 'currentUser';

class LocalDeviceRepository {
  static LocalDeviceRepository? _singleton;
  static get instance => _singleton;

  LocalDeviceRepository() {
    if (_singleton == null) {
      _singleton = this;
    } else {
      throw Exception(
          "An instance of LocalRepository is already available. Use LocalRepository.instance");
    }
  }

  Future<void>? setBearerToken(String bearerToken) async {
    FlutterSecureStorage storage = const FlutterSecureStorage();
    await storage.write(key: BEARER_TOKEN_KEY, value: bearerToken);
  }

  Future<String?>? getBearerToken() async {
    FlutterSecureStorage storage = const FlutterSecureStorage();
    return storage.read(key: BEARER_TOKEN_KEY);
  }

  Future<void>? setRefreshToken(String refreshToken) async {
    FlutterSecureStorage storage = const FlutterSecureStorage();
    await storage.write(key: REFRESH_TOKEN_KEY, value: refreshToken);
  }

  Future<String?>? getRefreshToken() async {
    FlutterSecureStorage storage = const FlutterSecureStorage();
    return storage.read(key: REFRESH_TOKEN_KEY);
  }

  Future<void>? setCurrentUser(String username) async {
    FlutterSecureStorage storage = const FlutterSecureStorage();
    await storage.write(key: CURRENT_USER_KEY, value: username);
  }

  Future<String?>? getCurrentUser() async {
    FlutterSecureStorage storage = const FlutterSecureStorage();
    return storage.read(key: CURRENT_USER_KEY);
  }

  Future<void>? clear() async {
    FlutterSecureStorage secureStorage = const FlutterSecureStorage();
    await secureStorage.deleteAll();
  }

  Future<bool> containsKey(String key) async {
    FlutterSecureStorage secureStorage = const FlutterSecureStorage();
    return secureStorage.containsKey(key: key);
  }
}
