part of 'home_bloc.dart';

class HomeState {
  final List<WorkViewModel>? recommendedWorks;
  final List<WorkViewModel>? famousWorks;
  final Map<String, List<WorkViewModel>>? worksByTags;
  final HomeFilters? filter;
  final bool isLoading;

  const HomeState({
    this.recommendedWorks,
    this.famousWorks,
    this.worksByTags,
    this.filter = HomeFilters.none,
    this.isLoading = false,
  });

  HomeState copyWith({
    List<WorkViewModel>? recommendedWorks,
    List<WorkViewModel>? famousWorks,
    Map<String, List<WorkViewModel>>? worksByTags,
    HomeFilters? filter,
    bool? isLoading,
  }) =>
      HomeState(
        recommendedWorks: recommendedWorks ?? this.recommendedWorks,
        famousWorks: famousWorks ?? this.famousWorks,
        worksByTags: worksByTags ?? this.worksByTags,
        filter: filter ?? this.filter,
        isLoading: isLoading ?? this.isLoading,
      );
}

class NoRecommendationHomeState extends HomeState {
  NoRecommendationHomeState({super.famousWorks, super.worksByTags, super.filter, super.isLoading});
}

class HomeLoadingState extends HomeState {
  HomeLoadingState({HomeFilters? filter}) : super(filter: filter);
}

class HomeErrorState extends HomeState {
  final String errorMessage;

  HomeErrorState(this.errorMessage);
}
