import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:tcc_app/constants/enums.dart';
import 'package:tcc_app/screens/home/bloc/home_bloc.dart';

class HomeFilterWidget extends StatelessWidget {
  final String filterText;
  final HomeFilters filter;

  const HomeFilterWidget(
      {required this.filterText, required this.filter, Key? key})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<HomeBloc, HomeState>(
      builder: (context, state) {
        return Material(
          color: Colors.transparent,
          child: Ink(
            decoration: BoxDecoration(
              color: const Color(0x36000000),
              border: Border.all(
                  color: Colors.white, width: state.filter == filter ? 2.0 : 1.0),
              borderRadius: BorderRadius.circular(80.0),
            ),
            child: InkWell(
              splashColor: const Color(0x963B3065),
              borderRadius: BorderRadius.circular(80.0),
              onTap: () => context.read<HomeBloc>().add(SelectHomeFilterEvent(filter)),
              child: Container(
                alignment: Alignment.center,
                padding:
                    const EdgeInsets.symmetric(vertical: 7.0, horizontal: 20.0),
                child: Text(filterText,
                    style: TextStyle(
                        color: Colors.white,
                        fontWeight:
                            state.filter == filter ? FontWeight.bold : FontWeight.normal,
                        fontSize: 16.0)),
              ),
            ),
          ),
        );
      },
    );
  }
}
