import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:tcc_app/widgets/blur_container.dart';

class LoginContainer extends StatelessWidget {
  final Widget child;

  const LoginContainer({
    required this.child,
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(horizontal: 30), //outside padding
      child: ContainerBlur(
        child: Container(
          margin: const EdgeInsets.symmetric(vertical: 20.0),
          decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(30.0),
            gradient: const LinearGradient(
                begin: Alignment.topRight,
                end: Alignment.bottomLeft,
                stops: [
                  0.0,
                  .67
                ],
                colors: [
                  Color(0x12FFFFFF),
                  Color(0x2B000000),
                ]),
            boxShadow: const [
              BoxShadow(
                color: Color.fromARGB(44, 0, 0, 0),
                blurRadius: 27.0,
                offset: Offset(10.0, 7.0),
                spreadRadius: 6.0,
              )
            ],
          ),
          child: Padding(
            padding: const EdgeInsets.symmetric(
                horizontal: 30, vertical: 45.0), //inside container padding
            child: child,
          ),
        ),
      ),
    );
  }
}
