part of 'person_bloc.dart';

abstract class PersonState {
  const PersonState();
}

class InitialPersonState extends PersonState {
  const InitialPersonState();
}

class LoadingPersonState extends PersonState {
  const LoadingPersonState();
}

class ErrorPersonState extends PersonState {
  final String message;

  const ErrorPersonState(this.message);
}

class NotFoundPersonState extends PersonState {
  final String personName;

  const NotFoundPersonState(this.personName);
}

class SuccessPersonState extends PersonState {
  final ReadPersonDto person;

  const SuccessPersonState(this.person);
}
