import 'package:flutter/material.dart';

class FilterButton extends StatelessWidget {
  final String text;
  final bool active;
  final void Function() onTap;
  const FilterButton({required this.text, required this.active, required this.onTap, Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      borderRadius: BorderRadius.circular(20),
      child: Container(
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(20),
          border: Border.all(color: Colors.white),
          color: active ? Colors.white : Colors.transparent,
        ),
        child: Padding(
          padding: const EdgeInsets.symmetric(vertical: 8, horizontal: 12),
          child: Text(
            text,
            style: TextStyle(color: active ? Colors.black : Colors.white),
          ),
        ),
      ),
    );
  }
}
