import 'package:flutter/material.dart';
import 'package:toggle_switch/toggle_switch.dart';

class ListGridToggle extends StatelessWidget {
  final int listTypeIndex;
  final void Function(int?)? onToggle;
  const ListGridToggle({required this.listTypeIndex, required this.onToggle, Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ToggleSwitch(
        initialLabelIndex: listTypeIndex,
        cornerRadius: 15,
        radiusStyle: true,
        borderWidth: 2,
        activeBgColor: const [Colors.grey],
        borderColor: const [Colors.grey],
        inactiveBgColor: Colors.grey[850],
        totalSwitches: 2,
        minHeight: 28,
        minWidth: 48,
        iconSize: 28,
        icons: const [Icons.grid_view, Icons.list_sharp],
        onToggle: onToggle,
      );
  }
}
