import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:tcc_app/data/dtos/profile_dto.dart';
import 'package:tcc_app/exceptions/app_exception.dart';
import 'package:tcc_app/data/dtos/statistics_model_dto.dart';
import 'package:tcc_app/services/user_service.dart';

part 'profile_event.dart';
part 'profile_state.dart';

class ProfileBloc extends Bloc<ProfileEvent, ProfileState> {
  final UserService userService;
  final String username;

  ProfileBloc({required this.userService, required this.username}) : super(ProfileLoadingState()) {
    on<LoadProfileEvent>((event, emit) => _loadProfile(emit));
    add(LoadProfileEvent());
  }

  _loadProfile(Emitter<ProfileState> emit)async{
    try{ 
      final ProfileDto? userProfile = await userService.getUserProfile(username: username); 
      
      emit(ProfileReadyState(userProfile: userProfile!));
    } on AppException catch (e) {
      
    }
  }
}

