import 'package:flutter/material.dart';

class StatusWidget extends StatelessWidget {
  final String title;
  final int value;
  final Color? color;

  const StatusWidget({
    required this.title,
    required this.value,
    this.color,
  });

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        color != null
            ? Container(
                height: 15,
                width: 15,
                decoration: BoxDecoration(shape: BoxShape.circle, color: color),
              )
            : Container(),
        color != null
            ? const SizedBox(
                width: 9,
              )
            : Container(),
        Text(
          '$title: $value',
          style: TextStyle(
            fontSize: 16,
          ),
        )
      ],
    );
  }
}
