import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:tcc_app/screens/search/bloc/search_bloc.dart';

class TodosOverviewFilterButton extends StatelessWidget {
  const TodosOverviewFilterButton({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {

    final activeFilter =
        context.select((SearchBloc bloc) => bloc.state.type);

    return PopupMenuButton<String>(
      shape: const ContinuousRectangleBorder(
        borderRadius: BorderRadius.all(Radius.circular(16)),
      ),
      initialValue: activeFilter,
      onSelected: (filter) {
        print(filter);
        context
            .read<SearchBloc>()
            .add(ChangeSearchFilterEvent(filter: filter));
      },
      itemBuilder: (context) {
        return [
          const PopupMenuItem(
            value: 'any',
            child: Text('Geral'),
          ),
          const PopupMenuItem(
            value: 'movie',
            child: Text('Filmes'),
          ),
          const PopupMenuItem(
            value: 'series',
            child: Text('Séries'),
          ),
          const PopupMenuItem(
            value: 'game',
            child: Text('Jogos'),
          ),
          const PopupMenuItem(
            value: 'book',
            child: Text('Livros'),
          ),
        ];
      },
      icon: const Icon(Icons.filter_list_rounded),
    );
  }
}
