import 'package:flutter/material.dart';
import 'package:tcc_app/data/dtos/read_work_details_dto.dart';
import 'package:tcc_app/screens/routes.dart';

class PersonList extends StatelessWidget {
  final List<ReadWorkDetailsPersonWork> person;

  const PersonList(this.person, {Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: double.maxFinite,
      height: 200,
      child: ListView.builder(
        itemCount: person.length,
        scrollDirection: Axis.horizontal,
        physics: BouncingScrollPhysics(),
        shrinkWrap: true,
        itemBuilder: (ctx, index) {
          final p = person[index];
          return GestureDetector(
            onTap: () => Navigator.pushNamed(context, personScreenRoute, arguments: p.person.name),
            child: Column(
              children: [
                ClipRRect(
                  borderRadius: BorderRadius.circular(100),
                  child: Image.network(
                    p.person.photo,
                    errorBuilder: (context, error, stackTrace) {
                      return Container(
                        width: 100,
                        height: 100,
                        color: Colors.grey,
                        child:const Center(child: Icon(Icons.person, size: 60,))
                      );
                    },
                    width: 100,
                    height: 100,
                    fit: BoxFit.cover,
                    scale: 0.5,
                  ),
                ),
                SizedBox(
                  width: 150,
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Flexible(
                        child: Text(
                          p.person.name,
                          softWrap: true,
                          textAlign: TextAlign.center,
                          style: const TextStyle(
                              fontWeight: FontWeight.bold,
                              fontSize: 16,
                              overflow: TextOverflow.clip),
                        ),
                      ),
                    ],
                  ),
                ),
                SizedBox(
                  width: 150,
                  child: Row(
                    mainAxisAlignment: MainAxisAlignment.center,
                    children: [
                      Flexible(
                        child: Text(
                          p.role,
                          textAlign: TextAlign.center,
                        ),
                      ),
                    ],
                  ),
                )
              ],
            ),
          );
        },
      ),
    );
  }
}
