import 'package:dio/dio.dart';

import '../data/dtos/read_person_dto.dart';
import '../data/repositories/person_repository.dart';

class PersonService {
  static PersonService? _singleton;

  static get instance => _singleton;

  final PersonRepository personRepository;

  PersonService({required this.personRepository}) {
    if (_singleton == null) {
      _singleton = this;
    } else {
      throw Exception(
          'An instance of PersonService is already available. Use PersonService.instance.');
    }
  }

  Future<ReadPersonDto?> findByPersonName(String personName) async {
    Response? response = await personRepository.fetchPersonByName(personName);

    return ReadPersonDto.fromResponseContent(response!.data);
  }
}