import 'package:flutter/material.dart';

class FadeImage extends StatelessWidget {
  final Image image;

  const FadeImage({Key? key, required this.image}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ShaderMask(
      shaderCallback: (rect) => const LinearGradient(
        begin: Alignment.topCenter,
        end: Alignment.bottomCenter,
        colors: [
          Colors.black87,
          Colors.black54,
          Colors.black12,
          Colors.transparent
        ],
        stops: [0, 0.3, 0.6, 1],
      ).createShader(rect),
      blendMode: BlendMode.dstIn,
      child: Image(
        image: image.image,
        width: double.infinity,
        fit: BoxFit.fitWidth,
        color: Colors.white.withOpacity(0.7),
        colorBlendMode: BlendMode.dstIn,
      ),
    );
  }
}
