import 'package:flutter/material.dart';

class StarInput extends StatelessWidget {
  final double rating;
  final void Function(int) setRating;
  final double? size;

  const StarInput(
      {required this.rating, required this.setRating, this.size, Key? key})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Wrap(
      direction: Axis.horizontal,
      children: _countStars(),
    );
  }

  List<Widget> _countStars() {
    List<Widget> stars = [];
    for (int i = 1; i <= 5; i++) {
      if (rating >= i) {
        stars.add(InkWell(
          onTap: () {
            onTap(i.toDouble());
          },
          child: Icon(Icons.star_rounded, size: size ?? 16),
        ));
      } else {
        stars.add(InkWell(
          onTap: () {
            onTap(i.toDouble());
          },
          child: Icon(Icons.star_outline_rounded, size: size ?? 16),
        ));
      }
    }
    return stars;
  }

  void onTap(double rating) {
    setRating(rating.toInt());
  }
}
