import 'package:flutter/material.dart';

class StarRating extends StatelessWidget {
  final double rating;
  final double size;
  final Color color;

  const StarRating(this.rating, {this.size = 16, this.color = Colors.white, Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Wrap(
      direction: Axis.horizontal,
      children: _countStars(),
    );
  }

  List<Widget> _countStars() {
    List<Widget> stars = [];
    for (int i = 1; i <= 5; i++) {
      if (rating >= i) {
        stars.add(Icon(Icons.star_rounded, size: size, color: color,));
      } else if (rating >= (i - 0.5)) {
        stars.add(Icon(Icons.star_half_rounded, size: size, color: color,));
      } else {
        stars.add(Icon(Icons.star_outline_rounded, size: size, color: color,));
      }
    }
    return stars;
  }
}
