import 'package:flutter/material.dart';

class UnderlinedClickableText extends StatelessWidget {
  final VoidCallback? onTap;
  final String text;

  const UnderlinedClickableText({Key? key, this.onTap, required this.text})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: onTap??(){ },
      child: Text(
        text,
        style: const TextStyle(
          color: Colors.white,
          fontWeight: FontWeight.bold,
          decoration: TextDecoration.underline,
          letterSpacing: 2.0
        ),
      ),
    );
  }
}
